org.deidentifier.arx.gui.view.impl.utility

## Class ViewProperties

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewProperties

All Implemented Interfaces:
  IView, ViewStatisticsBasic

Direct Known Subclasses:
  ViewPropertiesInput, ViewPropertiesOutput

    public abstract class ViewProperties
    extends java.lang.Object
    implements IView, ViewStatisticsBasic

This view displays basic properties about input or output data.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the view.
`org.eclipse.swt.widgets.Composite` `getParent()` Returns the parent composite
`void` `reset()` Resets the view.
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsBasic

`getType`

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`

#### getParent

    public org.eclipse.swt.widgets.Composite getParent()

Description copied from interface: `ViewStatisticsBasic`
Returns the parent composite

Specified by:
  `getParent` in interface `ViewStatisticsBasic`
Returns:

#### reset

    public void reset()

Description copied from interface: `IView`
Resets the view.

Specified by:
  `reset` in interface `IView`

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`